function [sir] = getSIR(X)
% GETSIR Calculate SIR from given system impulse response or frequency
% response matrix X.

    [numReceivers, numSources, ~] = size(X);
    norms = zeros(numReceivers, numSources);
    for i = 1 : numReceivers
        for j = 1 : numSources
            norms(i,j) = norm(squeeze(X(i,j,:)))^2;
        end
    end
    
    sirMax = max(norms);
    sirSum = sum(norms);
    sir = 10*log10(sirMax ./ (sirSum - sirMax));
end

