function rho = normCorrCoeff(v1,v2)
% NORMCORRCOEFF Calculates the normalized correlation coefficient between
% two sequences v1 and v2
    r = mean(v1.*v2);
    mu1 = mean(v1);
    mu2 = mean(v2);
    sigma1 = sqrt(var(v1));
    sigma2 = sqrt(var(v2));
    rho = (r-mu1*mu2)/(sigma1*sigma2);
end
